package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.PublicSentiment;
import com.lightinit.hsdatashow.entity.PublicSentimentExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface PublicSentimentMapper {
    long countByExample(PublicSentimentExample example);

    int deleteByExample(PublicSentimentExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PublicSentiment record);

    int insertSelective(PublicSentiment record);

    List<PublicSentiment> selectByExample(PublicSentimentExample example);

    PublicSentiment selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PublicSentiment record, @Param("example") PublicSentimentExample example);

    int updateByExample(@Param("record") PublicSentiment record, @Param("example") PublicSentimentExample example);

    int updateByPrimaryKeySelective(PublicSentiment record);

    int updateByPrimaryKey(PublicSentiment record);
}